kdk::KBorderButton(3)

NAME
kdk::KBorderButton - 带边框的按钮

SYNOPSIS

#include <kborderbutton.h>

Inherits QPushButton.

  Public Member Functions
KBorderButton (QWidget *parent=nullptr)
KBorderButton (const QString &text, QWidget *parent=nullptr)
KBorderButton (const QIcon &icon, const QString &text, QWidget *parent=nullptr)
KBorderButton (const QIcon &icon, QWidget *parent=nullptr)
void setIcon (const QIcon &icon)
设置按钮图标

  Protected Member Functions
bool eventFilter (QObject *watched, QEvent *event)
void paintEvent (QPaintEvent *event)
QSize sizeHint () const override

Detailed Description

带边框的按钮

Examples
testPushbutton/widget.h.

Author

Generated automatically by Doxygen for LIBKYSDK-APPLICATIONS from the source code.